Bug 133931 - Segmentation fault after "Likely proxy abuse detected"
Summary: Segmentation fault after "Likely proxy abuse detected"
Status: CLOSED DUPLICATE of bug 133970
Alias: None
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL: http://www.squid-cache.org/Versions/v...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-28 15:19 UTC by Diyan Christian
Modified: 2014-08-31 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:05:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Diyan Christian 2004-09-28 15:19:59 UTC
Description of problem:
Segmentation fault after "Likely proxy abuse detected"
Under certain conditions Squid crashes with a "Segmentation Fault"
after the above warning message has been printed in cache.log.

M.A.Young has reported a vulnerability in Squid, which can be
exploited by malicious people to cause a DoS (Denial of Service).

The vulnerability is caused due to a NULL pointer dereference error
within the "clientAbortBody()" function. This can potentially be
exploited to crash Squid by visiting a malicious website via the proxy.

Version-Release number of selected component (if applicable):
squid-2.5.STABLE5-4.fc2

Expected results:
squid process segmentation fault

Additional info:
http://secunia.com/advisories/12508/

Comment 1 Jay Fenlason 2004-10-01 15:31:28 UTC

*** This bug has been marked as a duplicate of 133970 ***

Comment 2 Red Hat Bugzilla 2006-02-21 19:05:57 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.